/**
 *  This file is part of DJFourierv4 developed by Blai Meléndez Catalán under
 	the supervision of prof. Horst Eidenberger (TU Wien).

    DJFourierv4 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DJFourierv4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

 	<http://www.gnu.org/licenses/>. */

package com.example.djfourierv4;

public class Magnitude {
	
	public Magnitude(){
		
	}
	
	/** 
	 * Calculates the magnitude of two arrays. In the application, 
	 * it calculates the magnitude of the spectrum of a filter */
	public static double[] getMagnitude(double[] x, double[] y){
		
		if(x.length == y.length){
		
			double[] result = new double[x.length];
		
			for (int i = 0; i < x.length; i++){
				result[i] = Math.sqrt(x[i]*x[i] + y[i]*y[i]);
			}
			
			return result;
			
		}else{
			return null;
		}	
	}
	
	/**
	 * Calculates the magnitude of half of two arrays. In the application is
	 * calculates half the magnitude of the spectrum of the data */
	public static double[] getHalfMagnitude(double[] x, double[] y){
		
		if(x.length == y.length && x.length % 2 == 0 && y.length % 2 == 0){
			
			double[] result = new double[x.length / 2];
		
			for (int i = 0; i < (x.length / 2); i++){
				result[i] = Math.sqrt(x[i]*x[i] + y[i]*y[i]);
			}
			
			return result;
			
		}else{
			return null;
		}	
	}	
}
