/**
 *  This file is part of DJFourierv4 developed by Blai Meléndez Catalán under
 	the supervision of prof. Horst Eidenberger (TU Wien).

    DJFourierv4 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DJFourierv4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

 	<http://www.gnu.org/licenses/>. */

package com.example.djfourierv4;

public class Window {
	
	public Window(){
		
	}
	
	/**
	 * Applies Hanning window */
	public static double[] applyHanningWindow(double[] fft){
		
		double[] result = new double[fft.length];
		
		for (int i = 0; i < fft.length; i++){
			
			result[i] = 0.5 * fft[i] - 0.25*(fft[(i + 1)%fft.length] + fft[(i + fft.length - 1)%fft.length]);
		}
		
		return result;
		
	}
	
	/**
	 * Applies Hamming window */
	public static double[] applyHammingWindow(double[] fft){
		
		double[] result = new double[fft.length];
		
		for (int i = 0; i < fft.length; i++){
			
			result[i] = 0.54 *fft[i] - 0.23*(fft[(i + 1)%fft.length] + fft[(i + fft.length - 1)%fft.length]);
		}
		
		return result;
		
	}
	
	/**
	 * Applies Blackman window */
	public static double[] applyBlackmanWindow(double[] fft){
	
	double[] result = new double[fft.length];
	
	for (int i = 0; i < fft.length; i++){
		
		result[i] = 0.42 * fft[i] - 0.23 * (fft[(i + 1)%fft.length] + fft[(i + fft.length - 1)%fft.length]) + 0.04 * (fft[(i + 2)%fft.length] + fft[(i + fft.length - 2)%fft.length]);
	}
	
	return result;
	
	}
}
