/**
 *  This file is part of DJFourierv4 developed by Blai Meléndez Catalán under
 	the supervision of prof. Horst Eidenberger (TU Wien).

    DJFourierv4 is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DJFourierv4 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

 	<http://www.gnu.org/licenses/>. */

package com.example.djfourierv4;

public class WavInfo {
	
	private int format;
	private int channels;
	private int rate;
	private int bits;
	private int size;
	
	private boolean finish = false;
	
	public WavInfo(int format, int channels, int rate, int bits, int size, boolean finish){
		
		this.format = format;
		this.channels = channels;
		this.rate = rate;
		this.bits = bits;
		this.size = size;
		this.finish = finish;
	}
	
	/**
	 * Gets format */
	public int getFormat(){
		return format;
	}
	
	/**
	 * Gets number of channels */
	public int getChannels(){
		return channels;
	}
	
	/**
	 * Gets sample rate */
	public int getRate(){
		return rate;
	}
	
	/**
	 * Gets bits per sample */
	public int getBits(){
		return bits;
	}
	
	/**
	 * Gets size */
	public int getSize(){
		return size;
	}
	
	/**
	 * Gets is the activity needs to be finished */
	public boolean getFinish(){
		return finish;
	}
	
	/**
	 * Sets format */
	public void setFormat(int format){
		this.format = format;
	}
	
	/**
	 * Sets number of channels */
	public void setChannels(int channels){
		this.channels = channels;
	}
	
	/**
	 * Sets sample rate */
	public void setRate(int rate){
		this.rate = rate;
	}
	
	/**
	 * Sets bits per sample */
	public void setBits( int bits){
		this.bits = bits;
	}
	
	/**
	 * Sets total size of the wave file*/
	public void setSize(int size){
		this.size = size;
	}

}
